From: nils.carlson@ericsson.com (Nils Carlson)
Subject: [ltt-dev] [UST PATCH] fix valgrind test valgrind check
Date: Mon, 21 Feb 2011 10:19:22 +0100 [thread overview]
Message-ID: <1298279962-21893-1-git-send-email-nils.carlson@ericsson.com> (raw)
Signed-off-by: Nils Carlson <nils.carlson at ericsson.com>
---
tests/valgrind_ust-consumerd.sh | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/tests/valgrind_ust-consumerd.sh b/tests/valgrind_ust-consumerd.sh
index d89a1f2..1b10772 100755
--- a/tests/valgrind_ust-consumerd.sh
+++ b/tests/valgrind_ust-consumerd.sh
@@ -17,7 +17,7 @@
# You should have received a copy of the GNU General Public License
# along with LTTng-UST. If not, see <http://www.gnu.org/licenses/>.
-if [ -n "$(which valgrind)" ]; then
+if ! which valgrind > /dev/null; then
echo "$0: Valgrind not found on the system." >/dev/stderr
exit 1;
fi
--
1.7.1
next reply other threads:[~2011-02-21 9:19 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2011-02-21 9:19 Nils Carlson [this message]
2011-02-21 21:02 ` Yannick Brosseau
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1298279962-21893-1-git-send-email-nils.carlson@ericsson.com \
--to=nils.carlson@ericsson.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox